Bug 385451 - Xorg X11 driver problem with ATI Radeon Mobility X300
Xorg X11 driver problem with ATI Radeon Mobility X300
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 15:05 EST by Amitakhya Phukan
Modified: 2009-01-09 02:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:25:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original xorg.conf file changed after I attach the external monitor and use dual head. (2.01 KB, application/octet-stream)
2007-11-28 01:37 EST, Amitakhya Phukan
no flags Details
log file when i try using dual head with original xorg.conf file (19.87 KB, text/plain)
2007-11-28 01:38 EST, Amitakhya Phukan
no flags Details
another log file when i try using dual head with original xorg.conf file (19.87 KB, application/octet-stream)
2007-11-28 01:38 EST, Amitakhya Phukan
no flags Details
setup log file when i try using dual head with original xorg.conf file (1.79 KB, text/plain)
2007-11-28 01:38 EST, Amitakhya Phukan
no flags Details
new xorg.conf file after i remove the old file,external monitor attached, dual head selected. (1.94 KB, application/octet-stream)
2007-11-28 01:39 EST, Amitakhya Phukan
no flags Details
log file after i remove the old xorg.conf file and reboot the laptop (19.96 KB, text/plain)
2007-11-28 01:40 EST, Amitakhya Phukan
no flags Details

  None (edit)
Description Amitakhya Phukan 2007-11-15 15:05:36 EST
Description of problem:
I can't use the dual head option in F8. I am having a Dell D610 laptop and have
both F8 and RHEL5 installed. I want to connect a monitor to the laptop. In
RHEL5, when I boot up, GDM is displayed on the both the monitors and
subsequently, I am able to work flawlessly in this set up. In F8, GDM doesn't
start and reports "Error starting X Server." It asks root password to configure
X but it fails when I use "Dual head" and the subsequent resolutions.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Connect an external monitor to laptop and boot into F8.
2. The graphical boot loader doesn't start, instead we have a text loader.
3. After the boot process, GDM tries to start but doesn't. Ultimately, it ends
in X server error.
  
Actual results:
X server doesn't start when I use dual head option.

Expected results:
X Server should start flawlessly when I use dual head option.

Additional info:
I tried to copy the RHEL 5 Xorg.conf file to F8 but it doesn't help. The card is
ATI Radeon Mobility X300. The laptop has 1400X1050 resolution and the external
LCD monitor has resolution 1200X1084. In RHEL5, it first complained about the
LCD monitor resolution, but it was solved when I put it to 1280X1024. I am
getting proper graphical boot as well as graphical desktop session under RHEL 5.
Under F8, the boot process is text mode and X never starts.
Comment 1 Matěj Cepl 2007-11-19 10:57:35 EST
There is a new world in F8, without Xinerama & co. and with xrandr everywhere.
Could you please try to reproduce this problem after you play with xrandr(1),
please? Quite certainly configuration file from RHEL5 WON'T work with F8.

Also, please attach your X server config file (/etc/X11/xorg.conf) and X server
log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Amitakhya Phukan 2007-11-28 01:37:31 EST
Created attachment 270821 [details]
Original xorg.conf file changed after I attach the external monitor and use dual head.
Comment 3 Amitakhya Phukan 2007-11-28 01:38:06 EST
Created attachment 270831 [details]
log file when i  try using dual head with original xorg.conf file
Comment 4 Amitakhya Phukan 2007-11-28 01:38:31 EST
Created attachment 270851 [details]
another log file when i  try using dual head with original xorg.conf file
Comment 5 Amitakhya Phukan 2007-11-28 01:38:54 EST
Created attachment 270861 [details]
setup log file when i  try using dual head with original xorg.conf file
Comment 6 Amitakhya Phukan 2007-11-28 01:39:32 EST
Created attachment 270871 [details]
new xorg.conf file after i remove the old file,external monitor attached, dual head selected.
Comment 7 Amitakhya Phukan 2007-11-28 01:40:04 EST
Created attachment 270881 [details]
log file after i remove the old xorg.conf file and reboot the laptop
Comment 8 Amitakhya Phukan 2007-11-28 01:40:56 EST
hi, hope these are the attachments you are looking for. please do get back to me
when you need additional info.
Comment 9 Amitakhya Phukan 2008-08-22 04:14:53 EDT
Any updates ?
Comment 10 Amitakhya Phukan 2008-08-22 04:17:27 EDT
The problem started off with F-8 and still persists in F-9. Any one doing any work on this ?
Comment 11 Bug Zapper 2008-11-26 03:28:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:25:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.